searchData={"content_type":"text/markdown","items":[{"doc":"A module to generate Phoenix Bootstrap components tailored to your application.\n\nThis module can be used together with the CodeGen package as follows:\n\n    defmodule YourAppWeb.CoreComponents do\n      use CodeGen,\n        module: Bootstrap5Components,\n        options: [\n          # This option is required:\n          gettext_module: YourAppWeb.Gettext\n        ]\n    end\n\nSupports the following options:\n\n  * `gettext_module` - a module that implements the `Gettext` behaviour\n    to internationalize the user-visible text in your components","ref":"Bootstrap5Components.html","title":"Bootstrap5Components","type":"module"},{"doc":"A component that adds a new item to a list of movable inputs.\nThis component is meant to be used inside `<.movable_inputs_for />` component.","ref":"Bootstrap5Components.html#add_new_input/1","title":"Bootstrap5Components.add_new_input/1","type":"function"},{"doc":"* `sort_param` (`Phoenix.HTML.FormField`) - sort field for the association.\n* `cursor` (`:string`) - CSS cursor style while hovering the button. Defaults to `\"pointer\"`.\n* `tooltip` (`:string`) - tooltip for the action. Defaults to `nil`.\n* `class` (`:string`) - CSS class for the outer element (a   element). Defaults to `\"btn btn-primary mt-3 form-control\"`.","ref":"Bootstrap5Components.html#add_new_input/1-attributes","title":"Attributes - Bootstrap5Components.add_new_input/1","type":"function"},{"doc":"Animate with a back in down pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_back_in_down/1","title":"Bootstrap5Components.animate_back_in_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  back in down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  back in down \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_back_in_down/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_back_in_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  back in down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  back in down \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_back_in_down/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_back_in_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  back in down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  back in down \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_back_in_down/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_back_in_down/1","type":"function"},{"doc":"Animate with a back in left pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_back_in_left/1","title":"Bootstrap5Components.animate_back_in_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  back in left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  back in left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_back_in_left/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_back_in_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  back in left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  back in left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_back_in_left/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_back_in_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  back in left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  back in left \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_back_in_left/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_back_in_left/1","type":"function"},{"doc":"Animate with a back in right pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_back_in_right/1","title":"Bootstrap5Components.animate_back_in_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  back in right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  back in right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_back_in_right/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_back_in_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  back in right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  back in right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_back_in_right/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_back_in_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  back in right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  back in right \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_back_in_right/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_back_in_right/1","type":"function"},{"doc":"Animate with a back in up pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_back_in_up/1","title":"Bootstrap5Components.animate_back_in_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  back in up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  back in up \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_back_in_up/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_back_in_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  back in up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  back in up \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_back_in_up/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_back_in_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  back in up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  back in up \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_back_in_up/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_back_in_up/1","type":"function"},{"doc":"Animate with a back out down pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_back_out_down/1","title":"Bootstrap5Components.animate_back_out_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  back out down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  back out down \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_back_out_down/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_back_out_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  back out down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  back out down \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_back_out_down/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_back_out_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  back out down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  back out down \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_back_out_down/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_back_out_down/1","type":"function"},{"doc":"Animate with a back out left pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_back_out_left/1","title":"Bootstrap5Components.animate_back_out_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  back out left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  back out left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_back_out_left/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_back_out_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  back out left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  back out left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_back_out_left/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_back_out_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  back out left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  back out left \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_back_out_left/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_back_out_left/1","type":"function"},{"doc":"Animate with a back out right pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_back_out_right/1","title":"Bootstrap5Components.animate_back_out_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  back out right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  back out right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_back_out_right/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_back_out_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  back out right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  back out right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_back_out_right/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_back_out_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  back out right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  back out right \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_back_out_right/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_back_out_right/1","type":"function"},{"doc":"Animate with a back out up pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_back_out_up/1","title":"Bootstrap5Components.animate_back_out_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  back out up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  back out up \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_back_out_up/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_back_out_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  back out up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  back out up \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_back_out_up/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_back_out_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  back out up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  back out up \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_back_out_up/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_back_out_up/1","type":"function"},{"doc":"Animate with a bounce pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce/1","title":"Bootstrap5Components.animate_bounce/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_bounce/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_bounce/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_bounce/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_bounce/1","type":"function"},{"doc":"Animate with a bounce in pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_in/1","title":"Bootstrap5Components.animate_bounce_in/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce in \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce in \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_in/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_bounce_in/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce in \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce in \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_in/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_bounce_in/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce in \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce in \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_bounce_in/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_bounce_in/1","type":"function"},{"doc":"Animate with a bounce in down pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_in_down/1","title":"Bootstrap5Components.animate_bounce_in_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce in down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce in down \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_in_down/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_bounce_in_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce in down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce in down \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_in_down/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_bounce_in_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce in down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce in down \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_bounce_in_down/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_bounce_in_down/1","type":"function"},{"doc":"Animate with a bounce in left pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_in_left/1","title":"Bootstrap5Components.animate_bounce_in_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce in left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce in left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_in_left/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_bounce_in_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce in left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce in left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_in_left/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_bounce_in_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce in left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce in left \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_bounce_in_left/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_bounce_in_left/1","type":"function"},{"doc":"Animate with a bounce in right pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_in_right/1","title":"Bootstrap5Components.animate_bounce_in_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce in right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce in right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_in_right/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_bounce_in_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce in right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce in right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_in_right/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_bounce_in_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce in right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce in right \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_bounce_in_right/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_bounce_in_right/1","type":"function"},{"doc":"Animate with a bounce in up pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_in_up/1","title":"Bootstrap5Components.animate_bounce_in_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce in up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce in up \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_in_up/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_bounce_in_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce in up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce in up \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_in_up/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_bounce_in_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce in up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce in up \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_bounce_in_up/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_bounce_in_up/1","type":"function"},{"doc":"Animate with a bounce out pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_out/1","title":"Bootstrap5Components.animate_bounce_out/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce out \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce out \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_out/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_bounce_out/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce out \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce out \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_out/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_bounce_out/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce out \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce out \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_bounce_out/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_bounce_out/1","type":"function"},{"doc":"Animate with a bounce out down pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_out_down/1","title":"Bootstrap5Components.animate_bounce_out_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce out down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce out down \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_out_down/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_bounce_out_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce out down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce out down \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_out_down/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_bounce_out_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce out down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce out down \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_bounce_out_down/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_bounce_out_down/1","type":"function"},{"doc":"Animate with a bounce out left pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_out_left/1","title":"Bootstrap5Components.animate_bounce_out_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce out left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce out left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_out_left/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_bounce_out_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce out left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce out left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_out_left/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_bounce_out_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce out left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce out left \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_bounce_out_left/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_bounce_out_left/1","type":"function"},{"doc":"Animate with a bounce out right pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_out_right/1","title":"Bootstrap5Components.animate_bounce_out_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce out right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce out right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_out_right/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_bounce_out_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce out right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce out right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_out_right/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_bounce_out_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce out right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce out right \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_bounce_out_right/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_bounce_out_right/1","type":"function"},{"doc":"Animate with a bounce out up pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_out_up/1","title":"Bootstrap5Components.animate_bounce_out_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce out up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce out up \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_out_up/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_bounce_out_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce out up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce out up \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_bounce_out_up/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_bounce_out_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  bounce out up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  bounce out up \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_bounce_out_up/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_bounce_out_up/1","type":"function"},{"doc":"Animate with a fade in pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in/1","title":"Bootstrap5Components.animate_fade_in/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_fade_in/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_fade_in/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_fade_in/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_fade_in/1","type":"function"},{"doc":"Animate with a fade in bottom left pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_bottom_left/1","title":"Bootstrap5Components.animate_fade_in_bottom_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in bottom left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in bottom left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_bottom_left/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_fade_in_bottom_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in bottom left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in bottom left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_bottom_left/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_fade_in_bottom_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in bottom left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in bottom left \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_fade_in_bottom_left/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_fade_in_bottom_left/1","type":"function"},{"doc":"Animate with a fade in bottom right pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_bottom_right/1","title":"Bootstrap5Components.animate_fade_in_bottom_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in bottom right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in bottom right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_bottom_right/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_fade_in_bottom_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in bottom right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in bottom right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_bottom_right/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_fade_in_bottom_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in bottom right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in bottom right \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_fade_in_bottom_right/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_fade_in_bottom_right/1","type":"function"},{"doc":"Animate with a fade in down pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_down/1","title":"Bootstrap5Components.animate_fade_in_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in down \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_down/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_fade_in_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in down \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_down/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_fade_in_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in down \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_fade_in_down/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_fade_in_down/1","type":"function"},{"doc":"Animate with a fade in down big pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_down_big/1","title":"Bootstrap5Components.animate_fade_in_down_big/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in down big \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in down big \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_down_big/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_fade_in_down_big/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in down big \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in down big \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_down_big/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_fade_in_down_big/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in down big \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in down big \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_fade_in_down_big/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_fade_in_down_big/1","type":"function"},{"doc":"Animate with a fade in left pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_left/1","title":"Bootstrap5Components.animate_fade_in_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_left/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_fade_in_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_left/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_fade_in_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in left \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_fade_in_left/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_fade_in_left/1","type":"function"},{"doc":"Animate with a fade in left big pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_left_big/1","title":"Bootstrap5Components.animate_fade_in_left_big/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in left big \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in left big \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_left_big/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_fade_in_left_big/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in left big \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in left big \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_left_big/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_fade_in_left_big/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in left big \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in left big \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_fade_in_left_big/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_fade_in_left_big/1","type":"function"},{"doc":"Animate with a fade in right pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_right/1","title":"Bootstrap5Components.animate_fade_in_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_right/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_fade_in_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_right/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_fade_in_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in right \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_fade_in_right/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_fade_in_right/1","type":"function"},{"doc":"Animate with a fade in right big pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_right_big/1","title":"Bootstrap5Components.animate_fade_in_right_big/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in right big \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in right big \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_right_big/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_fade_in_right_big/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in right big \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in right big \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_right_big/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_fade_in_right_big/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in right big \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in right big \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_fade_in_right_big/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_fade_in_right_big/1","type":"function"},{"doc":"Animate with a fade in top left pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_top_left/1","title":"Bootstrap5Components.animate_fade_in_top_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in top left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in top left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_top_left/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_fade_in_top_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in top left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in top left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_top_left/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_fade_in_top_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in top left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in top left \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_fade_in_top_left/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_fade_in_top_left/1","type":"function"},{"doc":"Animate with a fade in top right pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_top_right/1","title":"Bootstrap5Components.animate_fade_in_top_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in top right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in top right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_top_right/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_fade_in_top_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in top right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in top right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_top_right/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_fade_in_top_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in top right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in top right \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_fade_in_top_right/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_fade_in_top_right/1","type":"function"},{"doc":"Animate with a fade in up pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_up/1","title":"Bootstrap5Components.animate_fade_in_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in up \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_up/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_fade_in_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in up \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_up/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_fade_in_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in up \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_fade_in_up/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_fade_in_up/1","type":"function"},{"doc":"Animate with a fade in up big pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_up_big/1","title":"Bootstrap5Components.animate_fade_in_up_big/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in up big \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in up big \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_up_big/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_fade_in_up_big/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in up big \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in up big \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_in_up_big/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_fade_in_up_big/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade in up big \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade in up big \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_fade_in_up_big/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_fade_in_up_big/1","type":"function"},{"doc":"Animate with a fade out pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out/1","title":"Bootstrap5Components.animate_fade_out/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_fade_out/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_fade_out/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_fade_out/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_fade_out/1","type":"function"},{"doc":"Animate with a fade out bottom left pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_bottom_left/1","title":"Bootstrap5Components.animate_fade_out_bottom_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out bottom left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out bottom left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_bottom_left/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_fade_out_bottom_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out bottom left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out bottom left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_bottom_left/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_fade_out_bottom_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out bottom left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out bottom left \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_fade_out_bottom_left/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_fade_out_bottom_left/1","type":"function"},{"doc":"Animate with a fade out bottom right pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_bottom_right/1","title":"Bootstrap5Components.animate_fade_out_bottom_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out bottom right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out bottom right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_bottom_right/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_fade_out_bottom_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out bottom right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out bottom right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_bottom_right/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_fade_out_bottom_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out bottom right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out bottom right \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_fade_out_bottom_right/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_fade_out_bottom_right/1","type":"function"},{"doc":"Animate with a fade out down pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_down/1","title":"Bootstrap5Components.animate_fade_out_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out down \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_down/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_fade_out_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out down \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_down/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_fade_out_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out down \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_fade_out_down/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_fade_out_down/1","type":"function"},{"doc":"Animate with a fade out down big pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_down_big/1","title":"Bootstrap5Components.animate_fade_out_down_big/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out down big \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out down big \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_down_big/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_fade_out_down_big/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out down big \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out down big \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_down_big/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_fade_out_down_big/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out down big \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out down big \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_fade_out_down_big/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_fade_out_down_big/1","type":"function"},{"doc":"Animate with a fade out left pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_left/1","title":"Bootstrap5Components.animate_fade_out_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_left/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_fade_out_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_left/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_fade_out_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out left \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_fade_out_left/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_fade_out_left/1","type":"function"},{"doc":"Animate with a fade out left big pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_left_big/1","title":"Bootstrap5Components.animate_fade_out_left_big/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out left big \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out left big \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_left_big/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_fade_out_left_big/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out left big \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out left big \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_left_big/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_fade_out_left_big/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out left big \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out left big \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_fade_out_left_big/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_fade_out_left_big/1","type":"function"},{"doc":"Animate with a fade out right pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_right/1","title":"Bootstrap5Components.animate_fade_out_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_right/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_fade_out_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_right/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_fade_out_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out right \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_fade_out_right/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_fade_out_right/1","type":"function"},{"doc":"Animate with a fade out right big pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_right_big/1","title":"Bootstrap5Components.animate_fade_out_right_big/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out right big \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out right big \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_right_big/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_fade_out_right_big/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out right big \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out right big \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_right_big/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_fade_out_right_big/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out right big \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out right big \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_fade_out_right_big/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_fade_out_right_big/1","type":"function"},{"doc":"Animate with a fade out top left pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_top_left/1","title":"Bootstrap5Components.animate_fade_out_top_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out top left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out top left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_top_left/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_fade_out_top_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out top left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out top left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_top_left/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_fade_out_top_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out top left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out top left \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_fade_out_top_left/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_fade_out_top_left/1","type":"function"},{"doc":"Animate with a fade out top right pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_top_right/1","title":"Bootstrap5Components.animate_fade_out_top_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out top right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out top right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_top_right/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_fade_out_top_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out top right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out top right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_top_right/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_fade_out_top_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out top right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out top right \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_fade_out_top_right/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_fade_out_top_right/1","type":"function"},{"doc":"Animate with a fade out up pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_up/1","title":"Bootstrap5Components.animate_fade_out_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out up \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_up/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_fade_out_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out up \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_up/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_fade_out_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out up \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_fade_out_up/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_fade_out_up/1","type":"function"},{"doc":"Animate with a fade out up big pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_up_big/1","title":"Bootstrap5Components.animate_fade_out_up_big/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out up big \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out up big \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_up_big/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_fade_out_up_big/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out up big \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out up big \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_fade_out_up_big/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_fade_out_up_big/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  fade out up big \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  fade out up big \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_fade_out_up_big/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_fade_out_up_big/1","type":"function"},{"doc":"Animate with a flash pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_flash/1","title":"Bootstrap5Components.animate_flash/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  flash \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  flash \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_flash/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_flash/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  flash \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  flash \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_flash/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_flash/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  flash \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  flash \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_flash/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_flash/1","type":"function"},{"doc":"Animate with a flip pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_flip/1","title":"Bootstrap5Components.animate_flip/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  flip \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  flip \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_flip/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_flip/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  flip \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  flip \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_flip/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_flip/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  flip \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  flip \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_flip/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_flip/1","type":"function"},{"doc":"Animate with a flip in x pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_flip_in_x/1","title":"Bootstrap5Components.animate_flip_in_x/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  flip in x \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  flip in x \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_flip_in_x/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_flip_in_x/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  flip in x \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  flip in x \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_flip_in_x/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_flip_in_x/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  flip in x \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  flip in x \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_flip_in_x/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_flip_in_x/1","type":"function"},{"doc":"Animate with a flip in y pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_flip_in_y/1","title":"Bootstrap5Components.animate_flip_in_y/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  flip in y \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  flip in y \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_flip_in_y/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_flip_in_y/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  flip in y \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  flip in y \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_flip_in_y/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_flip_in_y/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  flip in y \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  flip in y \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_flip_in_y/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_flip_in_y/1","type":"function"},{"doc":"Animate with a flip out x pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_flip_out_x/1","title":"Bootstrap5Components.animate_flip_out_x/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  flip out x \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  flip out x \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_flip_out_x/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_flip_out_x/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  flip out x \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  flip out x \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_flip_out_x/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_flip_out_x/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  flip out x \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  flip out x \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_flip_out_x/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_flip_out_x/1","type":"function"},{"doc":"Animate with a flip out y pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_flip_out_y/1","title":"Bootstrap5Components.animate_flip_out_y/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  flip out y \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  flip out y \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_flip_out_y/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_flip_out_y/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  flip out y \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  flip out y \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_flip_out_y/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_flip_out_y/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  flip out y \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  flip out y \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_flip_out_y/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_flip_out_y/1","type":"function"},{"doc":"Animate with a head shake pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_head_shake/1","title":"Bootstrap5Components.animate_head_shake/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  head shake \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  head shake \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_head_shake/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_head_shake/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  head shake \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  head shake \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_head_shake/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_head_shake/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  head shake \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  head shake \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_head_shake/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_head_shake/1","type":"function"},{"doc":"Animate with a heart beat pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_heart_beat/1","title":"Bootstrap5Components.animate_heart_beat/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  heart beat \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  heart beat \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_heart_beat/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_heart_beat/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  heart beat \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  heart beat \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_heart_beat/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_heart_beat/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  heart beat \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  heart beat \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_heart_beat/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_heart_beat/1","type":"function"},{"doc":"Animate with a hinge pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_hinge/1","title":"Bootstrap5Components.animate_hinge/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  hinge \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  hinge \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_hinge/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_hinge/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  hinge \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  hinge \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_hinge/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_hinge/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  hinge \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  hinge \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_hinge/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_hinge/1","type":"function"},{"doc":"Animate with a jack in the box pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_jack_in_the_box/1","title":"Bootstrap5Components.animate_jack_in_the_box/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  jack in the box \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  jack in the box \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_jack_in_the_box/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_jack_in_the_box/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  jack in the box \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  jack in the box \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_jack_in_the_box/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_jack_in_the_box/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  jack in the box \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  jack in the box \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_jack_in_the_box/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_jack_in_the_box/1","type":"function"},{"doc":"Animate with a jello pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_jello/1","title":"Bootstrap5Components.animate_jello/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  jello \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  jello \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_jello/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_jello/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  jello \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  jello \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_jello/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_jello/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  jello \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  jello \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_jello/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_jello/1","type":"function"},{"doc":"Animate with a light speed in left pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_light_speed_in_left/1","title":"Bootstrap5Components.animate_light_speed_in_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  light speed in left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  light speed in left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_light_speed_in_left/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_light_speed_in_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  light speed in left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  light speed in left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_light_speed_in_left/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_light_speed_in_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  light speed in left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  light speed in left \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_light_speed_in_left/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_light_speed_in_left/1","type":"function"},{"doc":"Animate with a light speed in right pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_light_speed_in_right/1","title":"Bootstrap5Components.animate_light_speed_in_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  light speed in right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  light speed in right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_light_speed_in_right/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_light_speed_in_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  light speed in right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  light speed in right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_light_speed_in_right/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_light_speed_in_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  light speed in right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  light speed in right \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_light_speed_in_right/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_light_speed_in_right/1","type":"function"},{"doc":"Animate with a light speed out left pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_light_speed_out_left/1","title":"Bootstrap5Components.animate_light_speed_out_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  light speed out left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  light speed out left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_light_speed_out_left/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_light_speed_out_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  light speed out left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  light speed out left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_light_speed_out_left/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_light_speed_out_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  light speed out left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  light speed out left \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_light_speed_out_left/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_light_speed_out_left/1","type":"function"},{"doc":"Animate with a light speed out right pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_light_speed_out_right/1","title":"Bootstrap5Components.animate_light_speed_out_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  light speed out right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  light speed out right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_light_speed_out_right/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_light_speed_out_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  light speed out right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  light speed out right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_light_speed_out_right/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_light_speed_out_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  light speed out right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  light speed out right \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_light_speed_out_right/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_light_speed_out_right/1","type":"function"},{"doc":"Animate with a pulse pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_pulse/1","title":"Bootstrap5Components.animate_pulse/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  pulse \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  pulse \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_pulse/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_pulse/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  pulse \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  pulse \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_pulse/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_pulse/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  pulse \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  pulse \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_pulse/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_pulse/1","type":"function"},{"doc":"Animate with a roll in pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_roll_in/1","title":"Bootstrap5Components.animate_roll_in/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  roll in \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  roll in \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_roll_in/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_roll_in/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  roll in \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  roll in \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_roll_in/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_roll_in/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  roll in \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  roll in \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_roll_in/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_roll_in/1","type":"function"},{"doc":"Animate with a roll out pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_roll_out/1","title":"Bootstrap5Components.animate_roll_out/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  roll out \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  roll out \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_roll_out/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_roll_out/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  roll out \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  roll out \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_roll_out/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_roll_out/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  roll out \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  roll out \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_roll_out/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_roll_out/1","type":"function"},{"doc":"Animate with a rotate in pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_in/1","title":"Bootstrap5Components.animate_rotate_in/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate in \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate in \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_in/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_rotate_in/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate in \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate in \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_in/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_rotate_in/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate in \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate in \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_rotate_in/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_rotate_in/1","type":"function"},{"doc":"Animate with a rotate in down left pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_in_down_left/1","title":"Bootstrap5Components.animate_rotate_in_down_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate in down left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate in down left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_in_down_left/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_rotate_in_down_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate in down left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate in down left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_in_down_left/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_rotate_in_down_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate in down left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate in down left \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_rotate_in_down_left/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_rotate_in_down_left/1","type":"function"},{"doc":"Animate with a rotate in down right pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_in_down_right/1","title":"Bootstrap5Components.animate_rotate_in_down_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate in down right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate in down right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_in_down_right/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_rotate_in_down_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate in down right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate in down right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_in_down_right/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_rotate_in_down_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate in down right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate in down right \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_rotate_in_down_right/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_rotate_in_down_right/1","type":"function"},{"doc":"Animate with a rotate in up left pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_in_up_left/1","title":"Bootstrap5Components.animate_rotate_in_up_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate in up left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate in up left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_in_up_left/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_rotate_in_up_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate in up left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate in up left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_in_up_left/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_rotate_in_up_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate in up left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate in up left \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_rotate_in_up_left/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_rotate_in_up_left/1","type":"function"},{"doc":"Animate with a rotate in up right pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_in_up_right/1","title":"Bootstrap5Components.animate_rotate_in_up_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate in up right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate in up right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_in_up_right/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_rotate_in_up_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate in up right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate in up right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_in_up_right/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_rotate_in_up_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate in up right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate in up right \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_rotate_in_up_right/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_rotate_in_up_right/1","type":"function"},{"doc":"Animate with a rotate out pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_out/1","title":"Bootstrap5Components.animate_rotate_out/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate out \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate out \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_out/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_rotate_out/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate out \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate out \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_out/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_rotate_out/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate out \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate out \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_rotate_out/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_rotate_out/1","type":"function"},{"doc":"Animate with a rotate out down left pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_out_down_left/1","title":"Bootstrap5Components.animate_rotate_out_down_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate out down left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate out down left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_out_down_left/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_rotate_out_down_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate out down left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate out down left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_out_down_left/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_rotate_out_down_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate out down left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate out down left \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_rotate_out_down_left/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_rotate_out_down_left/1","type":"function"},{"doc":"Animate with a rotate out down right pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_out_down_right/1","title":"Bootstrap5Components.animate_rotate_out_down_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate out down right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate out down right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_out_down_right/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_rotate_out_down_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate out down right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate out down right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_out_down_right/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_rotate_out_down_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate out down right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate out down right \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_rotate_out_down_right/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_rotate_out_down_right/1","type":"function"},{"doc":"Animate with a rotate out up left pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_out_up_left/1","title":"Bootstrap5Components.animate_rotate_out_up_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate out up left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate out up left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_out_up_left/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_rotate_out_up_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate out up left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate out up left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_out_up_left/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_rotate_out_up_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate out up left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate out up left \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_rotate_out_up_left/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_rotate_out_up_left/1","type":"function"},{"doc":"Animate with a rotate out up right pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_out_up_right/1","title":"Bootstrap5Components.animate_rotate_out_up_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate out up right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate out up right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_out_up_right/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_rotate_out_up_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate out up right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate out up right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_rotate_out_up_right/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_rotate_out_up_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rotate out up right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rotate out up right \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_rotate_out_up_right/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_rotate_out_up_right/1","type":"function"},{"doc":"Animate with a rubber band pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_rubber_band/1","title":"Bootstrap5Components.animate_rubber_band/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rubber band \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rubber band \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_rubber_band/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_rubber_band/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rubber band \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rubber band \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_rubber_band/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_rubber_band/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  rubber band \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  rubber band \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_rubber_band/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_rubber_band/1","type":"function"},{"doc":"Animate with a shake x pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_shake_x/1","title":"Bootstrap5Components.animate_shake_x/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  shake x \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  shake x \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_shake_x/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_shake_x/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  shake x \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  shake x \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_shake_x/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_shake_x/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  shake x \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  shake x \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_shake_x/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_shake_x/1","type":"function"},{"doc":"Animate with a shake y pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_shake_y/1","title":"Bootstrap5Components.animate_shake_y/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  shake y \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  shake y \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_shake_y/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_shake_y/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  shake y \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  shake y \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_shake_y/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_shake_y/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  shake y \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  shake y \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_shake_y/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_shake_y/1","type":"function"},{"doc":"Animate with a slide in down pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_slide_in_down/1","title":"Bootstrap5Components.animate_slide_in_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  slide in down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  slide in down \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_slide_in_down/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_slide_in_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  slide in down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  slide in down \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_slide_in_down/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_slide_in_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  slide in down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  slide in down \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_slide_in_down/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_slide_in_down/1","type":"function"},{"doc":"Animate with a slide in left pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_slide_in_left/1","title":"Bootstrap5Components.animate_slide_in_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  slide in left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  slide in left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_slide_in_left/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_slide_in_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  slide in left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  slide in left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_slide_in_left/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_slide_in_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  slide in left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  slide in left \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_slide_in_left/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_slide_in_left/1","type":"function"},{"doc":"Animate with a slide in right pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_slide_in_right/1","title":"Bootstrap5Components.animate_slide_in_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  slide in right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  slide in right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_slide_in_right/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_slide_in_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  slide in right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  slide in right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_slide_in_right/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_slide_in_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  slide in right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  slide in right \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_slide_in_right/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_slide_in_right/1","type":"function"},{"doc":"Animate with a slide in up pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_slide_in_up/1","title":"Bootstrap5Components.animate_slide_in_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  slide in up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  slide in up \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_slide_in_up/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_slide_in_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  slide in up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  slide in up \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_slide_in_up/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_slide_in_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  slide in up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  slide in up \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_slide_in_up/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_slide_in_up/1","type":"function"},{"doc":"Animate with a slide out down pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_slide_out_down/1","title":"Bootstrap5Components.animate_slide_out_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  slide out down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  slide out down \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_slide_out_down/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_slide_out_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  slide out down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  slide out down \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_slide_out_down/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_slide_out_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  slide out down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  slide out down \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_slide_out_down/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_slide_out_down/1","type":"function"},{"doc":"Animate with a slide out left pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_slide_out_left/1","title":"Bootstrap5Components.animate_slide_out_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  slide out left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  slide out left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_slide_out_left/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_slide_out_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  slide out left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  slide out left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_slide_out_left/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_slide_out_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  slide out left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  slide out left \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_slide_out_left/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_slide_out_left/1","type":"function"},{"doc":"Animate with a slide out right pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_slide_out_right/1","title":"Bootstrap5Components.animate_slide_out_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  slide out right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  slide out right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_slide_out_right/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_slide_out_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  slide out right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  slide out right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_slide_out_right/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_slide_out_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  slide out right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  slide out right \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_slide_out_right/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_slide_out_right/1","type":"function"},{"doc":"Animate with a slide out up pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_slide_out_up/1","title":"Bootstrap5Components.animate_slide_out_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  slide out up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  slide out up \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_slide_out_up/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_slide_out_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  slide out up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  slide out up \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_slide_out_up/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_slide_out_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  slide out up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  slide out up \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_slide_out_up/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_slide_out_up/1","type":"function"},{"doc":"Animate with a swing pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_swing/1","title":"Bootstrap5Components.animate_swing/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  swing \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  swing \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_swing/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_swing/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  swing \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  swing \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_swing/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_swing/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  swing \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  swing \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_swing/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_swing/1","type":"function"},{"doc":"Animate with a tada pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_tada/1","title":"Bootstrap5Components.animate_tada/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  tada \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  tada \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_tada/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_tada/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  tada \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  tada \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_tada/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_tada/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  tada \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  tada \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_tada/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_tada/1","type":"function"},{"doc":"Animate with a wobble pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_wobble/1","title":"Bootstrap5Components.animate_wobble/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  wobble \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  wobble \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_wobble/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_wobble/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  wobble \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  wobble \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_wobble/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_wobble/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  wobble \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  wobble \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_wobble/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_wobble/1","type":"function"},{"doc":"Animate with a zoom in pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_in/1","title":"Bootstrap5Components.animate_zoom_in/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom in \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom in \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_in/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_zoom_in/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom in \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom in \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_in/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_zoom_in/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom in \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom in \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_zoom_in/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_zoom_in/1","type":"function"},{"doc":"Animate with a zoom in down pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_in_down/1","title":"Bootstrap5Components.animate_zoom_in_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom in down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom in down \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_in_down/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_zoom_in_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom in down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom in down \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_in_down/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_zoom_in_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom in down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom in down \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_zoom_in_down/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_zoom_in_down/1","type":"function"},{"doc":"Animate with a zoom in left pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_in_left/1","title":"Bootstrap5Components.animate_zoom_in_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom in left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom in left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_in_left/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_zoom_in_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom in left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom in left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_in_left/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_zoom_in_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom in left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom in left \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_zoom_in_left/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_zoom_in_left/1","type":"function"},{"doc":"Animate with a zoom in right pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_in_right/1","title":"Bootstrap5Components.animate_zoom_in_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom in right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom in right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_in_right/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_zoom_in_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom in right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom in right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_in_right/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_zoom_in_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom in right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom in right \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_zoom_in_right/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_zoom_in_right/1","type":"function"},{"doc":"Animate with a zoom in up pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_in_up/1","title":"Bootstrap5Components.animate_zoom_in_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom in up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom in up \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_in_up/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_zoom_in_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom in up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom in up \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_in_up/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_zoom_in_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom in up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom in up \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_zoom_in_up/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_zoom_in_up/1","type":"function"},{"doc":"Animate with a zoom out pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_out/1","title":"Bootstrap5Components.animate_zoom_out/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom out \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom out \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_out/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_zoom_out/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom out \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom out \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_out/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_zoom_out/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom out \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom out \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_zoom_out/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_zoom_out/1","type":"function"},{"doc":"Animate with a zoom out down pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_out_down/1","title":"Bootstrap5Components.animate_zoom_out_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom out down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom out down \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_out_down/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_zoom_out_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom out down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom out down \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_out_down/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_zoom_out_down/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom out down \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom out down \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_zoom_out_down/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_zoom_out_down/1","type":"function"},{"doc":"Animate with a zoom out left pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_out_left/1","title":"Bootstrap5Components.animate_zoom_out_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom out left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom out left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_out_left/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_zoom_out_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom out left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom out left \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_out_left/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_zoom_out_left/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom out left \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom out left \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_zoom_out_left/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_zoom_out_left/1","type":"function"},{"doc":"Animate with a zoom out right pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_out_right/1","title":"Bootstrap5Components.animate_zoom_out_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom out right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom out right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_out_right/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_zoom_out_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom out right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom out right \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_out_right/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_zoom_out_right/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom out right \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom out right \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_zoom_out_right/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_zoom_out_right/1","type":"function"},{"doc":"Animate with a zoom out up pattern.\r\nThis function is not a component.\r\nIt is a function meant to return a list of CSS classes.\r\n\r\nOptions:\r\n\r\n  * `:speed` (default: `true`) - supports the following values: `:normal`, `:fast`, `:faster`.\r\n  * `:repeat` (default: `false`) - whether the animation repeats itself.\r\n\r\nYou can see the resulting animation in the examples below.\r\n\r\n<!-- tabs-open -->\r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_out_up/1","title":"Bootstrap5Components.animate_zoom_out_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom out up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom out up \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_out_up/1-normal-speed","title":"Normal speed - Bootstrap5Components.animate_zoom_out_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom out up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom out up \r\n   \r\n \r\n\r\n#","ref":"Bootstrap5Components.html#animate_zoom_out_up/1-fast-speed","title":"Fast speed - Bootstrap5Components.animate_zoom_out_up/1","type":"function"},{"doc":"```heex\r\n \r\n  Animate as  zoom out up \r\n \r\n```\r\n\r\nThe code above results in the following animation.\r\nThis animation is played on repeat in order to better showcase the movements,\r\nbut most of the time you'll probably prefer an animation that does not repeat.\r\n\r\n \r\n   Animation: \r\n   \r\n    Animate as  zoom out up \r\n   \r\n \r\n\r\n<!-- tabs-close -->","ref":"Bootstrap5Components.html#animate_zoom_out_up/1-faster-speed-default","title":"Faster speed (default) - Bootstrap5Components.animate_zoom_out_up/1","type":"function"},{"doc":"Render a resource as HTML.","ref":"Bootstrap5Components.html#as_html/1","title":"Bootstrap5Components.as_html/1","type":"function"},{"doc":"Get the url for a resource.","ref":"Bootstrap5Components.html#as_link/1","title":"Bootstrap5Components.as_link/1","type":"function"},{"doc":"Create a select option from a resoure that implements\nthe `Bootstrap5Components.Resource` protocol.","ref":"Bootstrap5Components.html#as_select_option/1","title":"Bootstrap5Components.as_select_option/1","type":"function"},{"doc":"Create list of select options from a list of resoures that´\nimplement the `Bootstrap5Components.Resource` protocol.","ref":"Bootstrap5Components.html#as_select_options/1","title":"Bootstrap5Components.as_select_options/1","type":"function"},{"doc":"Render a resource as plain text.","ref":"Bootstrap5Components.html#as_text/1","title":"Bootstrap5Components.as_text/1","type":"function"},{"doc":"","ref":"Bootstrap5Components.html#auto_hide_flash/2","title":"Bootstrap5Components.auto_hide_flash/2","type":"function"},{"doc":"Renders a back navigation link.","ref":"Bootstrap5Components.html#back/1","title":"Bootstrap5Components.back/1","type":"function"},{"doc":"```heex\n<.back navigate={~p\"/posts\"}>Back to posts</.back>\n```","ref":"Bootstrap5Components.html#back/1-examples","title":"Examples - Bootstrap5Components.back/1","type":"function"},{"doc":"* `navigate` (`:any`) (required)","ref":"Bootstrap5Components.html#back/1-attributes","title":"Attributes - Bootstrap5Components.back/1","type":"function"},{"doc":"* `inner_block` (required)","ref":"Bootstrap5Components.html#back/1-slots","title":"Slots - Bootstrap5Components.back/1","type":"function"},{"doc":"A component for bulk actions that can take the ids of multiple targets.","ref":"Bootstrap5Components.html#bulk_action/1","title":"Bootstrap5Components.bulk_action/1","type":"function"},{"doc":"* `id` (`:string`) (required)\n* `active` (`:boolean`) (required)\n* `on_submit` (`:string`) - Defaults to `\"bulk_action\"`.\n* `on_change` (`:string`) - Defaults to `\"selected_for_bulk_action\"`.\n* Global attributes are accepted.","ref":"Bootstrap5Components.html#bulk_action/1-attributes","title":"Attributes - Bootstrap5Components.bulk_action/1","type":"function"},{"doc":"* `action` - Accepts attributes:\n\n  * `navigate` (`:string`)\n  * `name` (`:string`)\n  * `class` (`:string`)\n  * `confirmation_dialog` (`:string`)","ref":"Bootstrap5Components.html#bulk_action/1-slots","title":"Slots - Bootstrap5Components.bulk_action/1","type":"function"},{"doc":"A checkbox to select an id for a bulk action.","ref":"Bootstrap5Components.html#bulk_action_select/1","title":"Bootstrap5Components.bulk_action_select/1","type":"function"},{"doc":"* `target` (`:any`) (required)\n* `aria_label` (`:string`) - Defaults to `\"...\"`.","ref":"Bootstrap5Components.html#bulk_action_select/1-attributes","title":"Attributes - Bootstrap5Components.bulk_action_select/1","type":"function"},{"doc":"Renders a button.","ref":"Bootstrap5Components.html#button/1","title":"Bootstrap5Components.button/1","type":"function"},{"doc":"```heex\n<.button>Send!</.button>\n<.button phx-click=\"go\" class=\"ml-2\">Send!</.button>\n```","ref":"Bootstrap5Components.html#button/1-examples","title":"Examples - Bootstrap5Components.button/1","type":"function"},{"doc":"* `type` (`:string`) - Defaults to `nil`.\n* `class` (`:string`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"disabled\", \"form\", \"name\", \"value\"]`.","ref":"Bootstrap5Components.html#button/1-attributes","title":"Attributes - Bootstrap5Components.button/1","type":"function"},{"doc":"* `inner_block` (required)","ref":"Bootstrap5Components.html#button/1-slots","title":"Slots - Bootstrap5Components.button/1","type":"function"},{"doc":"A component containing the references to all CSS and JS used by these components.","ref":"Bootstrap5Components.html#css_assets/1","title":"Bootstrap5Components.css_assets/1","type":"function"},{"doc":"* `theme` (`:string`) - the bootswatch theme to use; use `nil` if you want a custom theme. Defaults to `nil`.\n* `remote_select_widget` (`:boolean`) - whether to download the JS and CSS for the remote select widget. Defaults to `true`.\n* `remote_select_widget_right_to_left` (`:boolean`) - whether to add support for right to left text in the select widget. Defaults to `false`.","ref":"Bootstrap5Components.html#css_assets/1-attributes","title":"Attributes - Bootstrap5Components.css_assets/1","type":"function"},{"doc":"A component that deletes an item from moveable inputs.\nThis component is meant to be used inside `<.movable_inputs_for />` component.","ref":"Bootstrap5Components.html#delete_input/1","title":"Bootstrap5Components.delete_input/1","type":"function"},{"doc":"* `input` (`Phoenix.HTML.FormField`) - the input to be deleted.\n* `drop_param` (`Phoenix.HTML.FormField`) - drop param for the association.\n* `animation` (`:string`) - classes to add to the deleted element before removing it. Defaults to `\"animate__animated animate__fadeOutRight animate__faster\"`.\n* `animation_duration` (`:integer`) - classes to add to the deleted element before removing it. Defaults to `300`.\n* `tooltip` (`:string`) - tooltip for the action. Defaults to `nil`.\n* `class` (`:string`) - CSS class for the outer element (a   element). Defaults to `\"btn btn-sm btn-outline-danger\"`.\n* `cursor` (`:string`) - CSS cursor style while hovering the button. Defaults to `\"pointer\"`.","ref":"Bootstrap5Components.html#delete_input/1-attributes","title":"Attributes - Bootstrap5Components.delete_input/1","type":"function"},{"doc":"Generates a generic error message.","ref":"Bootstrap5Components.html#error/1","title":"Bootstrap5Components.error/1","type":"function"},{"doc":"* `inner_block` (required)","ref":"Bootstrap5Components.html#error/1-slots","title":"Slots - Bootstrap5Components.error/1","type":"function"},{"doc":"Renders flash notices.","ref":"Bootstrap5Components.html#flash/1","title":"Bootstrap5Components.flash/1","type":"function"},{"doc":"```heex\n<.flash kind={:info} flash={@flash} />\n<.flash kind={:info} phx-mounted={show(\"#flash\")}>Welcome Back!</.flash>\n```","ref":"Bootstrap5Components.html#flash/1-examples","title":"Examples - Bootstrap5Components.flash/1","type":"function"},{"doc":"* `id` (`:string`) - the optional id of flash container. Defaults to `\"flash\"`.\n* `flash` (`:map`) - the map of flash messages to display. Defaults to `%{}`.\n* `title` (`:string`) - Defaults to `nil`.\n* `kind` (`:atom`) - used for styling and flash lookup.Must be one of `:info`, or `:error`.\n* `autoshow` (`:boolean`) - whether to auto show the flash on mount. Defaults to `true`.\n* `close` (`:boolean`) - whether the flash can be closed. Defaults to `true`.\n* Global attributes are accepted. the arbitrary HTML attributes to add to the flash container.","ref":"Bootstrap5Components.html#flash/1-attributes","title":"Attributes - Bootstrap5Components.flash/1","type":"function"},{"doc":"* `inner_block` - the optional inner block that renders the flash message.","ref":"Bootstrap5Components.html#flash/1-slots","title":"Slots - Bootstrap5Components.flash/1","type":"function"},{"doc":"Shows the flash group with standard titles and content.","ref":"Bootstrap5Components.html#flash_group/1","title":"Bootstrap5Components.flash_group/1","type":"function"},{"doc":"```heex\n<.flash_group flash={@flash} />\n```","ref":"Bootstrap5Components.html#flash_group/1-examples","title":"Examples - Bootstrap5Components.flash_group/1","type":"function"},{"doc":"* `flash` (`:map`) (required) - the map of flash messages.","ref":"Bootstrap5Components.html#flash_group/1-attributes","title":"Attributes - Bootstrap5Components.flash_group/1","type":"function"},{"doc":"Default options for Flop pagination that play well with Bootstrap5.\n\nNote: this is an argument one should pass to a Flop paginiation component,\nnot a standalone component.","ref":"Bootstrap5Components.html#flop_pagination_options/0","title":"Bootstrap5Components.flop_pagination_options/0","type":"function"},{"doc":"Default options for Flop tables that play well with Bootstrap5.\n\nNote: this is an argument one should pass to a Flop table component,\nnot a standalone component.","ref":"Bootstrap5Components.html#flop_table_options/0","title":"Bootstrap5Components.flop_table_options/0","type":"function"},{"doc":"Renders a header with title.","ref":"Bootstrap5Components.html#header/1","title":"Bootstrap5Components.header/1","type":"function"},{"doc":"* `class` (`:string`) - Defaults to `nil`.","ref":"Bootstrap5Components.html#header/1-attributes","title":"Attributes - Bootstrap5Components.header/1","type":"function"},{"doc":"* `inner_block` (required)\n* `text`\n* `subtitle`\n* `actions`","ref":"Bootstrap5Components.html#header/1-slots","title":"Slots - Bootstrap5Components.header/1","type":"function"},{"doc":"","ref":"Bootstrap5Components.html#hide/2","title":"Bootstrap5Components.hide/2","type":"function"},{"doc":"","ref":"Bootstrap5Components.html#hide_modal/2","title":"Bootstrap5Components.hide_modal/2","type":"function"},{"doc":"Renders a [Bootstrap Icon](https://icons.getbootstrap.com/).","ref":"Bootstrap5Components.html#icon/1","title":"Bootstrap5Components.icon/1","type":"function"},{"doc":"TODO","ref":"Bootstrap5Components.html#icon/1-examples","title":"Examples - Bootstrap5Components.icon/1","type":"function"},{"doc":"* `name` (`:string`) (required)\n* `title` (`:string`) - Defaults to `nil`.\n* `size` (`:any`) - Defaults to `\"1em\"`.","ref":"Bootstrap5Components.html#icon/1-attributes","title":"Attributes - Bootstrap5Components.icon/1","type":"function"},{"doc":"Renders an input with label and error messages.\n\nA `%Phoenix.HTML.Form{}` and field name may be passed to the input\nto build input names and error messages, or all the attributes and\nerrors may be passed explicitly.","ref":"Bootstrap5Components.html#input/1","title":"Bootstrap5Components.input/1","type":"function"},{"doc":"```heex\n<.input field={@form[:email]} type=\"email\" />\n<.input name=\"my-input\" errors={[\"oh no!\"]} />\n```","ref":"Bootstrap5Components.html#input/1-examples","title":"Examples - Bootstrap5Components.input/1","type":"function"},{"doc":"* `id` (`:any`) - Defaults to `nil`.\n* `name` (`:any`)\n* `label` (`:string`) - Defaults to `nil`.\n* `value` (`:any`)\n* `type` (`:string`) - Defaults to `\"text\"`.\n* `field` (`Phoenix.HTML.FormField`) - a form field struct retrieved from the form, for example: @form[:email].\n* `errors` (`:list`) - Defaults to `[]`.\n* `checked` (`:boolean`) - the checked flag for checkbox inputs.\n* `prompt` (`:string`) - the prompt for select inputs. Defaults to `nil`.\n* `options` (`:list`) - the options to pass to Phoenix.HTML.Form.options_for_select/2.\n* `multiple` (`:boolean`) - the multiple flag for select inputs. Defaults to `false`.\n* `tight_spacing` (`:boolean`) - remove the extra top margin. Defaults to `false`.\n* Global attributes are accepted. Supports all globals plus: `[\"autocomplete\", \"cols\", \"disabled\", \"form\", \"max\", \"maxlength\", \"min\", \"minlength\", \"pattern\", \"placeholder\", \"readonly\", \"required\", \"rows\", \"size\", \"step\"]`.","ref":"Bootstrap5Components.html#input/1-attributes","title":"Attributes - Bootstrap5Components.input/1","type":"function"},{"doc":"* `inner_block`","ref":"Bootstrap5Components.html#input/1-slots","title":"Slots - Bootstrap5Components.input/1","type":"function"},{"doc":"Renders a label.","ref":"Bootstrap5Components.html#label/1","title":"Bootstrap5Components.label/1","type":"function"},{"doc":"* `for` (`:string`) - Defaults to `nil`.","ref":"Bootstrap5Components.html#label/1-attributes","title":"Attributes - Bootstrap5Components.label/1","type":"function"},{"doc":"* `inner_block` (required)","ref":"Bootstrap5Components.html#label/1-slots","title":"Slots - Bootstrap5Components.label/1","type":"function"},{"doc":"Renders a data list.","ref":"Bootstrap5Components.html#list/1","title":"Bootstrap5Components.list/1","type":"function"},{"doc":"```heex\n<.list>\n  <:item title=\"Title\"><%= @post.title %></:item>\n  <:item title=\"Views\"><%= @post.views %></:item>\n</.list>\n```","ref":"Bootstrap5Components.html#list/1-examples","title":"Examples - Bootstrap5Components.list/1","type":"function"},{"doc":"* `item` (required) - Accepts attributes:\n\n  * `title` (`:string`) (required)","ref":"Bootstrap5Components.html#list/1-slots","title":"Slots - Bootstrap5Components.list/1","type":"function"},{"doc":"Area for the main content below the nabvar, supporting\nslots for the content itself and for an optional sidebar.","ref":"Bootstrap5Components.html#main/1","title":"Bootstrap5Components.main/1","type":"function"},{"doc":"* `hide_sidebar` (`:boolean`) - Defaults to `false`.\n* `sidebar_class` (`:string`) - Defaults to `\"col-sm-3\"`.\n* `sidebar_body_class` (`:string`) - Defaults to `\"\"`.\n* `content_class` (`:string`) - Defaults to `\"col-sm-9\"`.","ref":"Bootstrap5Components.html#main/1-attributes","title":"Attributes - Bootstrap5Components.main/1","type":"function"},{"doc":"* `sidebar`\n* `content` (required)","ref":"Bootstrap5Components.html#main/1-slots","title":"Slots - Bootstrap5Components.main/1","type":"function"},{"doc":"Renders a modal.","ref":"Bootstrap5Components.html#modal/1","title":"Bootstrap5Components.modal/1","type":"function"},{"doc":"* `id` (`:string`) (required)\n* `show` (`:boolean`) - Defaults to `false`.\n* `on_cancel` (`Phoenix.LiveView.JS`) - Defaults to `%Phoenix.LiveView.JS{ops: []}`.\n* `on_confirm` (`Phoenix.LiveView.JS`) - Defaults to `%Phoenix.LiveView.JS{ops: []}`.\n* `on_click_away` (`Phoenix.LiveView.JS`) - Defaults to `%Phoenix.LiveView.JS{ops: []}`.\n* `close_button` (`:boolean`) - Defaults to `true`.","ref":"Bootstrap5Components.html#modal/1-attributes","title":"Attributes - Bootstrap5Components.modal/1","type":"function"},{"doc":"* `inner_block` (required)\n* `title`\n* `subtitle`\n* `confirm`\n* `cancel`","ref":"Bootstrap5Components.html#modal/1-slots","title":"Slots - Bootstrap5Components.modal/1","type":"function"},{"doc":"```heex\n<.modal id=\"confirm-modal\">\n  Are you sure?\n  <:confirm>OK</:confirm>\n  <:cancel>Cancel</:cancel>\n</.modal>\n```\n\nJS commands may be passed to the `:on_cancel` and `on_confirm` attributes\nfor the caller to react to each button press, for example:\n\n```heex\n<.modal id=\"confirm\" on_confirm={JS.push(\"delete\")} on_cancel={JS.navigate(~p\"/posts\")}>\n  Are you sure you?\n  <:confirm>OK</:confirm>\n  <:cancel>Cancel</:cancel>\n</.modal>\n```","ref":"Bootstrap5Components.html#modal/1-examples","title":"Examples - Bootstrap5Components.modal/1","type":"function"},{"doc":"","ref":"Bootstrap5Components.html#movable_inputs_for/1","title":"Bootstrap5Components.movable_inputs_for/1","type":"function"},{"doc":"* `field` (`Phoenix.HTML.FormField`) (required)\n* `sort_param` (`Phoenix.HTML.FormField`) (required) - the parameter used by Ecto to sort your inputs.\n* `move_param` (`Phoenix.HTML.FormField`) (required) - the parameter that represents the item to be moved.\n* `moved_param` (`Phoenix.HTML.FormField`) (required) - the parameter that represents the item that has been moved.\n* `drop_param` (`Phoenix.HTML.FormField`) - this attribute is optional if you don't want to support input deletion,\n  but it is required if you want to use the ` ` component.\n\n  Defaults to `nil`.\n* `moved_animation` (`:any`) - Defaults to `\"animate__animated animate__pulse animate__faster\"`.","ref":"Bootstrap5Components.html#movable_inputs_for/1-attributes","title":"Attributes - Bootstrap5Components.movable_inputs_for/1","type":"function"},{"doc":"A component to move an element up in an association.\nTo move up an element in an association is the same as movinbg it\ntowards the beginning of the list.","ref":"Bootstrap5Components.html#move_input/1","title":"Bootstrap5Components.move_input/1","type":"function"},{"doc":"* `input` (`Phoenix.HTML.FormField`) - the input to be moved.\n* `animation` (`:string`) - Defaults to `\"animate__animated animate__fadeOut animate__faster\"`.\n* `tooltip` (`:string`) - tooltip for the action. Defaults to `nil`.\n* `group_class` (`:string`) - CSS class for the outer element (a   element). Defaults to `\"btn btn-group\"`.\n* `move_up_class` (`:string`) - CSS class for the move-up element (a   element). Defaults to `\"btn btn-sm btn-outline-dark\"`.\n* `move_down_class` (`:string`) - CSS class for the move-down element (a   element). Defaults to `\"btn btn-sm btn-outline-dark\"`.\n* `cursor` (`:string`) - CSS cursor style while hovering the button. Defaults to `\"pointer\"`.\n* `cursor_when_disabled` (`:string`) - CSS cursor style while hovering the disabled button. Defaults to `\"default\"`.","ref":"Bootstrap5Components.html#move_input/1-attributes","title":"Attributes - Bootstrap5Components.move_input/1","type":"function"},{"doc":"* `move_up`\n* `move_down`","ref":"Bootstrap5Components.html#move_input/1-slots","title":"Slots - Bootstrap5Components.move_input/1","type":"function"},{"doc":"Navbar component.","ref":"Bootstrap5Components.html#navbar/1","title":"Bootstrap5Components.navbar/1","type":"function"},{"doc":"* `class` (`:string`) - Defaults to `\"navbar-dark bg-primary\"`.","ref":"Bootstrap5Components.html#navbar/1-attributes","title":"Attributes - Bootstrap5Components.navbar/1","type":"function"},{"doc":"* `brand` - Branding element (e.g. the application name or a logo) for your navbar.\n* `start_group` - content at the start (i.e. left for LTR writing systems) of the navbar.\n* `center_group` - content at the center of the navbar.\n* `end_group` - content at the end (i.e. right for LTR writing systems) of the navbar.","ref":"Bootstrap5Components.html#navbar/1-slots","title":"Slots - Bootstrap5Components.navbar/1","type":"function"},{"doc":"Component for a navbar link.","ref":"Bootstrap5Components.html#navbar_link/1","title":"Bootstrap5Components.navbar_link/1","type":"function"},{"doc":"* `active` (`:boolean`) - Defaults to `false`.\n* `disabled` (`:boolean`) - Defaults to `false`.\n* `class` (`:string`) - extra classes added to the navbar link. Defaults to `\"\"`.\n* `to` (`:string`) - the destination for your navbar link.\n* `method` (`:string`) - Defaults to `\"get\"`.","ref":"Bootstrap5Components.html#navbar_link/1-attributes","title":"Attributes - Bootstrap5Components.navbar_link/1","type":"function"},{"doc":"* `inner_block` (required)","ref":"Bootstrap5Components.html#navbar_link/1-slots","title":"Slots - Bootstrap5Components.navbar_link/1","type":"function"},{"doc":"","ref":"Bootstrap5Components.html#non_movable_inputs_for/1","title":"Bootstrap5Components.non_movable_inputs_for/1","type":"function"},{"doc":"* `field` (`Phoenix.HTML.FormField`) (required)\n* `sort_param` (`Phoenix.HTML.FormField`) (required) - the parameter used by Ecto to sort your inputs.\n* `drop_param` (`Phoenix.HTML.FormField`) - this attribute is optional if you don't want to support input deletion,\n  but it is required if you want to use the ` ` component.\n\n  Defaults to `nil`.\n* `moved_animation` (`:any`) - Defaults to `\"animate__animated animate__pulse animate__faster\"`.","ref":"Bootstrap5Components.html#non_movable_inputs_for/1-attributes","title":"Attributes - Bootstrap5Components.non_movable_inputs_for/1","type":"function"},{"doc":"Get the url for a resource.","ref":"Bootstrap5Components.html#path_for/1","title":"Bootstrap5Components.path_for/1","type":"function"},{"doc":"Renders an input with label and error messages.\n\nA `%Phoenix.HTML.Form{}` and field name may be passed to the input\nto build input names and error messages, or all the attributes and\nerrors may be passed explicitly.","ref":"Bootstrap5Components.html#remote_select_input/1","title":"Bootstrap5Components.remote_select_input/1","type":"function"},{"doc":"```heex\n<.input field={@form[:email]} type=\"email\" />\n<.input name=\"my-input\" errors={[\"oh no!\"]} />\n```","ref":"Bootstrap5Components.html#remote_select_input/1-examples","title":"Examples - Bootstrap5Components.remote_select_input/1","type":"function"},{"doc":"* `id` (`:any`) - Defaults to `nil`.\n* `name` (`:any`)\n* `label` (`:string`) - Defaults to `nil`.\n* `value` (`:any`)\n* `path` (`:string`)\n* `field` (`Phoenix.HTML.FormField`) - a form field struct retrieved from the form, for example: @form[:email].\n* `errors` (`:list`) - Defaults to `[]`.\n* `checked` (`:boolean`) - the checked flag for checkbox inputs.\n* `prompt` (`:string`) - the prompt for select inputs. Defaults to `nil`.\n* `options` (`:list`) - the already chosen elements. Defaults to `[]`.\n* `multiple` (`:boolean`) - the multiple flag for select inputs. Defaults to `false`.\n* Global attributes are accepted. Supports all globals plus: `[\"autocomplete\", \"cols\", \"disabled\", \"form\", \"max\", \"maxlength\", \"min\", \"minlength\", \"pattern\", \"placeholder\", \"readonly\", \"required\", \"rows\", \"size\", \"step\"]`.","ref":"Bootstrap5Components.html#remote_select_input/1-attributes","title":"Attributes - Bootstrap5Components.remote_select_input/1","type":"function"},{"doc":"","ref":"Bootstrap5Components.html#show/2","title":"Bootstrap5Components.show/2","type":"function"},{"doc":"","ref":"Bootstrap5Components.html#show_modal/2","title":"Bootstrap5Components.show_modal/2","type":"function"},{"doc":"Sidebar link.","ref":"Bootstrap5Components.html#sidebar_link/1","title":"Bootstrap5Components.sidebar_link/1","type":"function"},{"doc":"* `to` (`:string`) (required) - destination for your link.","ref":"Bootstrap5Components.html#sidebar_link/1-attributes","title":"Attributes - Bootstrap5Components.sidebar_link/1","type":"function"},{"doc":"* `inner_block`","ref":"Bootstrap5Components.html#sidebar_link/1-slots","title":"Slots - Bootstrap5Components.sidebar_link/1","type":"function"},{"doc":"A group of links in your sidebar, which will be rendered as a block","ref":"Bootstrap5Components.html#sidebar_link_group/1","title":"Bootstrap5Components.sidebar_link_group/1","type":"function"},{"doc":"* `inner_block`","ref":"Bootstrap5Components.html#sidebar_link_group/1-slots","title":"Slots - Bootstrap5Components.sidebar_link_group/1","type":"function"},{"doc":"Renders a simple form.","ref":"Bootstrap5Components.html#simple_form/1","title":"Bootstrap5Components.simple_form/1","type":"function"},{"doc":"```heex\n<.simple_form for={@form} phx-change=\"validate\" phx-submit=\"save\">\n  <.input field={@form[:email]} label=\"Email\"/>\n  <.input field={@form[:username]} label=\"Username\" />\n  <:actions>\n    <.button>Save</.button>\n  </:actions>\n</.simple_form>\n```","ref":"Bootstrap5Components.html#simple_form/1-examples","title":"Examples - Bootstrap5Components.simple_form/1","type":"function"},{"doc":"* `for` (`:any`) (required) - the datastructure for the form.\n* `as` (`:any`) - the server side parameter to collect all input under. Defaults to `nil`.\n* Global attributes are accepted. the arbitrary HTML attributes to apply to the form tag. Supports all globals plus: `[\"autocomplete\", \"name\", \"rel\", \"action\", \"enctype\", \"method\", \"novalidate\", \"target\"]`.","ref":"Bootstrap5Components.html#simple_form/1-attributes","title":"Attributes - Bootstrap5Components.simple_form/1","type":"function"},{"doc":"* `inner_block` (required)\n* `actions` - the slot for form actions, such as a submit button.","ref":"Bootstrap5Components.html#simple_form/1-slots","title":"Slots - Bootstrap5Components.simple_form/1","type":"function"},{"doc":"Renders a table with generic styling.","ref":"Bootstrap5Components.html#table/1","title":"Bootstrap5Components.table/1","type":"function"},{"doc":"```heex\n<.table id=\"users\" rows={@users}>\n  <:col :let={user} label=\"id\"><%= user.id %></:col>\n  <:col :let={user} label=\"username\"><%= user.username %></:col>\n</.table>\n```","ref":"Bootstrap5Components.html#table/1-examples","title":"Examples - Bootstrap5Components.table/1","type":"function"},{"doc":"* `id` (`:string`) (required)\n* `rows` (`:list`) (required)\n* `row_id` (`:any`) - the function for generating the row id. Defaults to `nil`.\n* `class` (`:string`) - class(es) for your table; by default the `table` class is used. Defaults to `\"table\"`.\n* `row_click` (`:any`) - the function for handling phx-click on each row. Defaults to `nil`.\n* `row_item` (`:any`) - the function for mapping each row before calling the `:col` and `:action` slots. Defaults to `&Function.identity/1`.\n* `reorderable` (`:boolean`) - wether the table rows can be reordered by the user. Defaults to `false`.\n* `reorderable_event_name` (`:string`) - name of the event sent to the LiveView when the items are reordered. Defaults to `\"reordered\"`.\n* `reorderable_animation_duration` (`:integer`) - animation duration. Defaults to `150`.","ref":"Bootstrap5Components.html#table/1-attributes","title":"Attributes - Bootstrap5Components.table/1","type":"function"},{"doc":"* `col` (required) - Accepts attributes:\n\n  * `label` (`:string`)\n* `action` - the slot for showing user actions in the last table column.","ref":"Bootstrap5Components.html#table/1-slots","title":"Slots - Bootstrap5Components.table/1","type":"function"},{"doc":"Translates an error message using gettext.","ref":"Bootstrap5Components.html#translate_error/1","title":"Bootstrap5Components.translate_error/1","type":"function"},{"doc":"Translates the errors for a field from a keyword\nlist of errors.","ref":"Bootstrap5Components.html#translate_errors/2","title":"Bootstrap5Components.translate_errors/2","type":"function"},{"doc":"Inline icons for your bootstrap application.","ref":"Bootstrap5Components.InlineIcons.html","title":"Bootstrap5Components.InlineIcons","type":"module"},{"doc":"Add an inline icon.\n\nNOTE: inline icons can take up a lot of space in the webpage if they are reused\nmany times in the same web page. Please consider using icon fonts instead.","ref":"Bootstrap5Components.InlineIcons.html#icon/1","title":"Bootstrap5Components.InlineIcons.icon/1","type":"function"},{"doc":"* `name` (`:string`) (required)\n* `title` (`:string`) - Defaults to `nil`.\n* `size` (`:any`) - Defaults to `\"1em\"`.","ref":"Bootstrap5Components.InlineIcons.html#icon/1-attributes","title":"Attributes - Bootstrap5Components.InlineIcons.icon/1","type":"function"},{"doc":"Functions to convert the nested inputs into Ecto changesets.","ref":"Bootstrap5Components.MovableInputs.html","title":"Bootstrap5Components.MovableInputs","type":"module"},{"doc":"Cast a group of movable inputs into an `%Ecto.Changeset{}`.\r\nThis part is necessarily coupled to Ecto, and creates a dependency on Ecto.\r\nThis is expected, as the frontend must be coupled to the backend somehow.\r\n\r\nThis function expects the following options:\r\n\r\n  * `:move_param` - the name of the parameter that represents\r\n    the index of the moved input and the direction of the movement.\r\n    The value of this parameter must be a map of the form\r\n    `%{\"up\" => index}` or `%{\"down\" => index}`.\r\n\r\n  * `:sort_param` - the name of the sort parameter which controls\r\n    the order of the elements. If we're using this function we\r\n    aren't actually changing the order, we're only working\r\n    with a single item that has moved up or down.\r\n\r\n  * `:moved_param` - the name of the field in the ecto schema\r\n    that contains the new position for the item that has moved.","ref":"Bootstrap5Components.MovableInputs.html#cast_movable_assoc/3","title":"Bootstrap5Components.MovableInputs.cast_movable_assoc/3","type":"function"},{"doc":"A protocol to help represent resources in web applications\r\nusing the components defined by `Bootstrap5Components`.","ref":"Bootstrap5Components.Resource.html","title":"Bootstrap5Components.Resource","type":"protocol"},{"doc":"Render resource as HTML.","ref":"Bootstrap5Components.Resource.html#as_html/1","title":"Bootstrap5Components.Resource.as_html/1","type":"function"},{"doc":"Render resource as plain text.","ref":"Bootstrap5Components.Resource.html#as_text/1","title":"Bootstrap5Components.Resource.as_text/1","type":"function"},{"doc":"Path for the resource in a given web application.","ref":"Bootstrap5Components.Resource.html#path_for/1","title":"Bootstrap5Components.Resource.path_for/1","type":"function"},{"doc":"All the types that implement this protocol.","ref":"Bootstrap5Components.Resource.html#t:t/0","title":"Bootstrap5Components.Resource.t/0","type":"type"}]}